文档

添加 SDK 依赖

更新时间:
一键部署

云产品的升级版 SDK 依赖信息

鉴于目前的大部分用户使用原版 SDK,且升级版 SDK 使用方式无法兼容原版 SDK,所以目前升级版 SDK 通过与原版 SDK 使用不同的命名方式来实现二者的共存,以云产品 ECS 为例,下面是云产品升级版 SDK 和原版 SDK 的 Maven 依赖信息:

composer require alibabacloud/ecs-20140526

从示例中可以看出升级版 SDK 的命名方式为alibabacloud/${产品名}-${OpenAPI 版本号}的方式命名。开发者也可以通过SDK信息中心来查看具体产品的升级版 SDK 或原版 SDK 的信息。

不再需要 SDK 核心依赖

产品的升级版 SDK 中包含了接口参数处理,请求组装以及返回值处理等 OpenAPI 请求的主要逻辑,摆脱了对 SDK Core 的依赖,只需要将一些通用的处理抽象出公共的函数封装成模块即可,开发者可以只关注本身的 SDK 包依赖即可,也可以通过依赖以下模块来使用最新的依赖:

composer require alibabacloud/darabonba-openapi

  • 本页导读 (1)
文档反馈